=== debian/changelog ===
clearcut (1.0.9-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #740298)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Feb 2014 17:11:16 +0000

clearcut (1.0.9-0biolinux1) precise; urgency=low

  * New package to support QIIME

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 21 Feb 2014 18:52:48 +0000
