=== debian/control ===
Source: clearcut
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/clearcut/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/clearcut/trunk/
Homepage: http://bioinformatics.hungry.com/clearcut/

Package: clearcut
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: extremely efficient phylogenetic tree reconstruction
 Clearcut is the reference implementation for the Relaxed Neighbor Joining (RNJ)
 algorithm by J. Evans, L. Sheneman, and J. Foster from the Initiative
 for Bioinformatics and Evolutionary Studies (IBEST) at the University of 
 Idaho.
