=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_compress:
	dh_compress -X.dist

# Note a manpage was generated using:
#  help2man -N ./clearcut > debian/clearcut.1
#  But this was then manually edited, so it is not rebuilt automatically.
