=== debian/watch ===
version=3
http://bioinformatics.hungry.com/clearcut/clearcut-([0-9.]+).tar.gz
