## clearcut 1.0.9+git20211013.b799afe

=== debian/changelog ===
clearcut (1.0.9+git20211013.b799afe-1) unstable; urgency=medium

  * New upstream version
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 14:38:25 +0100

clearcut (1.0.9+git20150622.7658e90-1) unstable; urgency=medium

  * Use git mode since upstream did not consider tagging despite
    issue was filed
  * Remove Tim Booth from Uploaders (Thanks for all your work Tim)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 13 Oct 2021 12:04:54 +0200

clearcut (1.0.9-6) unstable; urgency=medium

  * Fix homepage
    Closes: #975947
  * Point watch file to Github (even if no tags are set yet)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 15:22:30 +0100

clearcut (1.0.9-5) unstable; urgency=medium

  [ Steve Langasek ]
  * clear errno before using it to check failure from atof()
    Closes: #953675

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Propagate CFLAGS to upstream Makefile

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 11:06:18 +0100

clearcut (1.0.9-4) unstable; urgency=medium

  * Team upload.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Joyce Zhou ]
  * Add autopkgtest
    Closes: #909711

 -- Joyce Zhou <jyzhou15@uw.edu>  Thu, 28 Mar 2019 22:16:52 -0700

clearcut (1.0.9-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - added references to registries

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Secure URI in copyright format

 -- Andreas Tille <tille@debian.org>  Fri, 19 Oct 2018 15:49:31 +0200

clearcut (1.0.9-2) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * d/watch: version=4
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Tue, 14 Nov 2017 08:42:17 +0100
