=== debian/control ===
Source: clearcut
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13), debhelper
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/clearcut
Vcs-Git: https://salsa.debian.org/med-team/clearcut.git
Homepage: https://github.com/sheneman/clearcut
Rules-Requires-Root: no

Package: clearcut
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: extremely efficient phylogenetic tree reconstruction
 Clearcut is the reference implementation for the Relaxed Neighbor Joining (RNJ)
 algorithm by J. Evans, L. Sheneman, and J. Foster from the Initiative
 for Bioinformatics and Evolutionary Studies (IBEST) at the University of
 Idaho.
