=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

Tests: check-malformed
Depends: @
Restrictions: allow-stderr
