=== debian/watch ===
version=4

opts="mode=git,pretty=1.0.9+git%cd.%h" \
    https://github.com/sheneman/clearcut.git HEAD

#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/sheneman/clearcut/releases .*/v?@ANY_VERSION@\.tar\.gz

# hope https://github.com/sheneman/clearcut/issues/1 will be fixed soon
